#include <stdlib.h>
#include <stdio.h>

// Code used to show how to generate a pseudo-random sequence of
// numbers using the internal PRNG offered by the standard C
// library. Remember that while the sequence does look random, it is
// not at all random.
// 
// Discussed in the following lecture:
// - https://teaching.leonardotamiano.xyz/cns/labs/lab_01_breaking_prng_part_1/
//
// To compile:
// gcc example_2_rand_example.c -o example_2_rand_example

int main(void) {
  srand(1337);
  int n = 10;

  for (int i = 0; i < n; i++) {
    printf("%d\n", rand());
  }

  return 0;
}
